<template>
  <div class="referral-program">
    <div class="desktop">
      <div class="content-left">
        <referral-box></referral-box>
      </div>

      <referral-records></referral-records>

      <div class="ctu-total">
        <p class="title">{{ $t('common.heta_tokens') }}</p>
        <div class="number">{{ totalTokens | formatCurrencyAmount('heta', '0') }}</div>
      </div>
    </div>
  </div>
</template>

<script>
import rf from '../../../../common/requests/RequestFactory';
import ReferralRecords from './ReferralRecords.vue';
import ReferralBox from './ReferralBox.vue';

export default {
  components: {
    ReferralRecords,
    ReferralBox
  },
  data () {
    return {
      totalTokens: 0,
    }
  },
  methods: {
    getTotalHetaTokens () {
      const params = {
        type: 'referral'
      };
      rf.getRequest('UserRequest').getTotalHetaTokens(params)
        .then((res) => {
          this.totalTokens = res.data;
        });
    }
  },
  created () {
    this.getTotalHetaTokens();
  },
};
</script>

<style lang="scss" scoped>
  @import '../../../../../sass/variables';
  .title-component {
    padding-left: 35px;
  }
    
  .content-left {
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
  }
</style>

<style lang="scss">
  @import '../../../../../sass/variables';
  .referral-program {
    .pagination-next,
    .pagination-prev,
    .pagination-page {
      a {
        padding: 5px 8px;
        font-size: 14px;
        color: rgb(34, 44, 60);
        text-decoration: none;
      }
    }


    .pagination-page.active {
      background: #558bc3;
      border-radius: 4px;
      a {
        color: white;
      }
    }
    .product__paginate {
      margin: 0px;
      li {
        display: inline-block;
      }
    }
    .pagination-prev,
    .pagination-next {
      position: relative;

      a {
        position: relative;
        z-index: 1;
      }
    }
    .pagination-prev:before,
    .pagination-next:before {
      content: '';
      display: block;
      width: 10px;
      height: 10px;
      background-image: url('/images/prev.png');
      background-size: cover;
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
    }
    .pagination-next:before {
      background-image: url('/images/next.png');
    }
  }
</style>
